Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> RN v2.20.00 - All Issues
Author Message
morgothen
New Member
New Member


Joined: Mar 26, 2008
Posts: 3

PostPosted: Thu Mar 27, 2008 1:31 am Reply with quote

guys i downloaded Ravennuke cause i could,nt install any themes with php-nuke, lots of error i got with that. the thing was i got php-nuke to work but i could'nt install any theme i downloaded for it. execpt the preinstall ones that came with it and i have ask and ask for help on the theme sites and php-nuke site and its the blame game with them. no help just blameing each other
im useing
windows server 2003 web edition + SP2 installed
apache2.2
php5
mysql4.3
myadmin2.8.2.1
plus i have uninstalled IIS

when i run the installation/installsql.php to set it up i get this error
localhost/INSTALLATION/".$_SERVER['PHP_SELF].'?setup='.$setup.'
any ideas on how to solve this or am just going to have to find another php system to host my site. the sad thing is i paid for php-nuke8.1 and im trying to use raven now.
 
View user's profile Send private message
Guardian2003
Site Admin


Joined: Aug 28, 2003
Posts: 6792
Location: Ha Noi, Viet Nam

PostPosted: Thu Mar 27, 2008 2:53 am Reply with quote

RavenNuke and phpNuke have never been certified to run in a windows environment but we know several that do use a windows server who have not had problems and we are always happy to help if and where we can.
I think the first thng for you to do is load up a php file with this code inside
Code:
phpinfo();
then run that file in your browser to see if
Code:
$_server['PHP_SELF']
is giving you a path.
 
View user's profile Send private message Send e-mail
morgothen
PostPosted: Thu Mar 27, 2008 12:35 pm Reply with quote

ok i ran that little script you said and i got the info screen of php telling me about the verions and stuff but when i run the install file im getting the same error.
now i have uninstalled
mysql4.3
apache2.2
php5
and installed wamp5 and im still getting the same error with ravennuke and php-nuke
i am at alose here any idea's plz remember im a newbie i dont a have a sience degree in php.
 
jakec
Site Admin


Joined: Feb 06, 2006
Posts: 3048
Location: United Kingdom

PostPosted: Thu Mar 27, 2008 1:48 pm Reply with quote

Are you actually planning to run a server on your computer which is accessible from the internet? or is it just for testing?

If it's the later then I would recommend using XAMPP. You will find most people in the forums here use this for testing without any problems.
 
View user's profile Send private message
montego
Site Admin


Joined: Aug 29, 2004
Posts: 9449
Location: Arizona

PostPosted: Thu Mar 27, 2008 6:52 pm Reply with quote

morgothen, Guardian was really asking for you to check the output of having run the phpinfo(); command for the presence of the PHP_SELF environment variable to see what path it is reporting.

Running phpinfo() doesn't fix anything in of itself...

_________________
Only registered users can see links on this board! Get registered or login!
Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
morgothen
PostPosted: Fri Mar 28, 2008 2:37 am Reply with quote

hey im new to this, i dont now how to dcheck stuff in code. and yes i will be host on my michine with my static ip and domain name. thats another can of problems im going to have. going live with my website but thats another momths works. still gett the same error
 
Guardian2003
PostPosted: Fri Mar 28, 2008 3:10 am Reply with quote

Before you go any further you might want to check with your internet service provider to see if you allowed to do that. Many ISP's do not allow you to run a webserver over their connection or have specific restrictions like a maximum number of connections.
 
cryotek
New Member
New Member


Joined: Aug 16, 2006
Posts: 6

PostPosted: Sat Apr 19, 2008 3:40 am Reply with quote

It sounds like the same problem I had. Check your php.ini file and change short_open_tag to on. Install, then change it back if you like.

see my post for details.
Only registered users can see links on this board! Get registered or login!
 
View user's profile Send private message
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> RN v2.20.00 - All Issues

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©